Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("SQL Imports"), CreatableItem(False)> _
Public Class C3CTelecomInvoiceType
    Inherits BaseObject
    Private _CurrencyName As CurrencyName
    Private _ReportData As ReportData
    Private _InvoiceType As InvoiceType
    Private _PaymentOption As PaymentOption
    Private _BankInformation As BankInformation
    Private _Controlling As Controlling
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    Property CurrencyName As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
    Property ReportData As ReportData
        Get
            Return _ReportData
        End Get
        Set(value As ReportData)
            SetPropertyValue("ReportData", _ReportData, value)
        End Set
    End Property
    <RuleRequiredField()> _
    Public Property InvoiceType As InvoiceType
        Get
            Return _InvoiceType
        End Get
        Set(ByVal value As InvoiceType)
            SetPropertyValue("InvoiceType", _InvoiceType, value)
        End Set
    End Property
    <RuleRequiredField()> _
    Public Property PaymentOption As PaymentOption
        Get
            Return _PaymentOption
        End Get
        Set(ByVal value As PaymentOption)
            SetPropertyValue("PaymentOption", _PaymentOption, value)
        End Set
    End Property
    Property BankInformation As BankInformation
        Get
            Return _BankInformation
        End Get
        Set(value As BankInformation)
            SetPropertyValue("BankInformation", _BankInformation, value)
        End Set
    End Property
    <RuleRequiredField("C3CTelecomInvoiceType-Controlling", DefaultContexts.Save)> _
    Property Controlling As Controlling
        Get
            Return _Controlling
        End Get
        Set(value As Controlling)
            SetPropertyValue("Controlling", _Controlling, value)
        End Set
    End Property
End Class
